### Constructor

# FoundryGtk SourceView new

#### Declaration [src]

    GtkWidget*
    foundry_source_view_new (
      FoundryTextDocument* document
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `FoundryTextDocument`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.